/*--------------------------------------------------------------------------*/
/*  DSHGEM-LIB - GEM, GEM300 Library Package Program                        */
/*                                                                          */
/*    dsh_types.h : INformation Type etc                                    */
/*                                                                          */
/*  Copyright (c)2007 by Data Map Corp.                                     */
/*                                                                          */
/*--------------------------------------------------------------------------*/
#ifndef DSHGEM_Header              //----------------> Header Start
#define DSHGEM_Header

/*------+-------+-------+-------+-------+-------+-------+-------+------*/
/* Data Type Macro                                                     */
/*------+-------+-------+-------+-------+-------+-------+-------+------*/
#ifndef TYPES_DEF
    #define TYPES_DEF

    typedef void * pthread_p;
//  typedef unsigned char   BYTE;
    typedef void * LPVOID;
    typedef unsigned long LPDWORD;
    typedef void * LPTHREAD_START_ROUTINE;
    typedef long long int INT64;
    typedef unsigned long long int UINT64;
//    typedef unsigned long HANDLE;
//  typedef float FLOAT;
//  typedef double DOUBLE;
#endif

#ifndef NIL
    #define NIL     0xffffffff
#endif

#ifndef NULL
    #define NULL    (void*)0
#endif

#ifndef OK
    #define OK      0                       /* ok */
    #define NG      NIL                     /* ng */
    #define EOS     0                       /* end of ch string */
    #define EI_LESS (-2)
    #define EI_GREATER (-3)
    #define EI_CHECK_ERR (-4)
#endif

#ifndef NIL16
    #define NIL16   0xffff
#endif

#ifndef NIL8
    #define NIL8   0xff
#endif

#endif               //<---------------- Header End

/*------ End Of File --------------------------------------------------*/
