/****************************************************************/
/*                                                              */
/*    << DSHENG4 Test Program >>                              */
/*                                                              */
/*              file name : g_s5f1.c                            */
/*                                                              */
/*  Produced by Data Map Corporation in 2009.                   */
/*  All rights reserved. No part of this program may be copied  */
/*  in anyway, or by any means, without permission from         */
/*  Data Map Corporation.                                       */
/*                                                              */
/****************************************************************/

#include    "all.h"

static  char cbuf[KEY_BUFF_SIZE];
int     p_s5f1_callback( int end_status, TALID alid,  ULONG upara );
/*-----------------------------------------------------------*/
// p_s5f1()
/*-----------------------------------------------------------*/
int     p_s5f1( void )
{
        int     alid;
        int     ei;
    while( 1 ){
        input_line( "S5F1> ALID(0=end) : ", cbuf );
        alid = atoi( cbuf );
        if ( alid == 0 ) break;
        printf( "   ALID = %d\n", alid );
        ei = EngNotifyAlarm( alid, 1, p_s5f1_callback, 501 );
        if ( ei != 0 ){
            Gprintf( "     !! EngNotifyAlarm(%d) ei=%d\n", alid, ei );
        }else{
            Sleep( 3000 );
        }
    }
    return 0;
}
/*-----------------------------------------------------------*/
// p_s5f1_callback() - callback functtion
/*-----------------------------------------------------------*/
int     p_s5f1_callback( int end_status, TALID alid,  ULONG upara )
{
    Gprintf( "    -->S5F1 Callback(  status=%d alid=%d upara=%d )\n",
                         end_status, alid, upara );
    return 0;
}
/*----- End Of File -----------------------------------------*/
