/*------------------------------------------------------*/
/*  eqinfo.h - DshGemLib / DSHEng4 ID Definition        */
/*------------------------------------------------------*/
#define  EC_Mdln                                        1                // 0x00000001
#define  EC_SoftRev                                     2                // 0x00000002
#define  EC_InitCommState                               4                // 0x00000004
#define  EC_InitControlState                            5                // 0x00000005
#define  EC_InitOfflineSubState                         6                // 0x00000006
#define  EC_SpoolEnable                                 7                // 0x00000007
#define  EC_ControlMode                                 80               // 0x00000050
#define  EC_PortAccessMode                              256              // 0x00000100
#define  EC_Port1AccessMode                             257              // 0x00000101
#define  EC_Port2AccessMode                             258              // 0x00000102
#define  EC_Port3AccessMode                             259              // 0x00000103
#define  EC_UndockStyle                                 272              // 0x00000110
#define  EC_UnClampStyle                                274              // 0x00000112
#define  EC_ManualTimer                                 275              // 0x00000113
#define  EC_ManualInType                                276              // 0x00000114
#define  EC_ManualOutType                               278              // 0x00000116
#define  EC_MaxSpoolTransmit                            512              // 0x00000200
#define  EC_OverWriteSpool                              513              // 0x00000201
#define  EC_BinTest                                     1024             // 0x00000400
#define  EC_Int1Test                                    1025             // 0x00000401
#define  EC_Int2Test                                    1026             // 0x00000402
#define  EC_Int4Test                                    1027             // 0x00000403
#define  EC_SingleTest                                  1028             // 0x00000404
#define  EC_DoubleTest                                  1029             // 0x00000405
#define  EC_List1                                       1030             // 0x00000406
#define  SV_Clock                                       8192             // 0x00002000
#define  SV_CommunicationState                          8193             // 0x00002001
#define  SV_ControlState                                8194             // 0x00002002
#define  SV_CJExecName1                                 8195             // 0x00002003
#define  SV_CJExecName2                                 8196             // 0x00002004
#define  SV_CJExecName3                                 8197             // 0x00002005
#define  SV_ReadyToLoad                                 8198             // 0x00002006
#define  SV_LoadPortTransferStatus                      8199             // 0x00002007
#define  SV_LoadPortId                                  8200             // 0x00002008
#define  SV_LoadCarId                                   8201             // 0x00002009
#define  SV_LoadCarIdStatus                             8202             // 0x0000200a
#define  SV_LoadSlotMapStatus                           8203             // 0x0000200b
#define  SV_LoadPortAssociationStatus                   8204             // 0x0000200c
#define  SV_LoadCarAccessStatus                         8205             // 0x0000200d
#define  SV_TransferStatus                              8206             // 0x0000200e
#define  SV_LotId                                       8207             // 0x0000200f
#define  SV_SubstID                                     8208             // 0x00002010
#define  SV_SubstProcState                              8209             // 0x00002011
#define  SV_SubstState                                  8210             // 0x00002012
#define  SV_CarUsage                                    8211             // 0x00002013
#define  SV_CarLocation                                 8212             // 0x00002014
#define  SV_SubstList                                   8213             // 0x00002015
#define  SV_UnloadPortId                                8214             // 0x00002016
#define  SV_UnloadCarId                                 8215             // 0x00002017
#define  SV_UnloadCarIdStatus                           8216             // 0x00002018
#define  SV_UnloadSlotMapStatus                         8217             // 0x00002019
#define  SV_UnloadPortAssociationStatus                 8218             // 0x0000201a
#define  SV_UnloadCarAccessStatus                       8219             // 0x0000201b
#define  SV_AccessModeStatus                            8220             // 0x0000201c
#define  SV_Access1ModeStatus                           8221             // 0x0000201d
#define  SV_Access2ModeStatus                           8222             // 0x0000201e
#define  SV_Access3ModeStatus                           8223             // 0x0000201f
#define  SV_Port1ReservedStatus                         8224             // 0x00002020
#define  SV_Port2ReservedStatus                         8225             // 0x00002021
#define  SV_PPID                                        8226             // 0x00002022
#define  SV_PrjID                                       8227             // 0x00002023
#define  SV_PrjState                                    8228             // 0x00002024
#define  SV_CJID                                        8229             // 0x00002025
#define  SV_CjState                                     8230             // 0x00002026
#define  SV_SpoolState                                  8231             // 0x00002027
#define  SV_SpoolCountActual                            8232             // 0x00002028
#define  SV_SpoolCountTotal                             8233             // 0x00002029
#define  SV_SpoolFullTime                               8234             // 0x0000202a
#define  SV_ControlJobStatus                            8235             // 0x0000202b
#define  SV_ProcessJobStatus                            8236             // 0x0000202c
#define  SV_WaferTransportState                         8237             // 0x0000202d
#define  SV_WaferProcesStatus                           8238             // 0x0000202e
#define  SV_WaferLocationStatus                         8239             // 0x0000202f
#define  SV_SpoolStartTime                              8240             // 0x00002030
#define  SV_LimitVid                                    8250             // 0x0000203a
#define  SV_LimitDir                                    8251             // 0x0000203b
#define  SV_LimitDVVal                                  8252             // 0x0000203c
#define  SV_LimitLimitid                                8253             // 0x0000203d
#define  SV_List1                                       254              // 0x000000fe
#define  SV_List2                                       252              // 0x000000fc
#define  DV_StartTime                                   8300             // 0x0000206c
#define  DV_EndTime                                     8301             // 0x0000206d
#define  DV_Temp1                                       8302             // 0x0000206e
#define  DV_Temp1_bin                                   8303             // 0x0000206f
#define  DV_Temp2                                       8304             // 0x00002070
#define  DV_Temp2_bin                                   8305             // 0x00002071
#define  DV_List1                                       8306             // 0x00002072
#define  CE_Communicating                               2                // 0x00000002
#define  CE_SpoolDeactivated                            999              // 0x000003e7
#define  CE_ControlState                                100              // 0x00000064
#define  CE_AlarmOn                                     200              // 0x000000c8
#define  CE_AlarmOff                                    201              // 0x000000c9
#define  CE_PortAccessMode                              2200             // 0x00000898
#define  CE_Port1AccessMode                             2201             // 0x00000899
#define  CE_Port2AccessMode                             2202             // 0x0000089a
#define  CE_Port3AccessMode                             2203             // 0x0000089b
#define  CE_ReadyToLoad                                 15600            // 0x00003cf0
#define  CE_LoadTransferBlocked                         15792            // 0x00003db0
#define  CE_LoadMaterialArrived                         15793            // 0x00003db1
#define  CE_LoadWaitingForHost                          15794            // 0x00003db2
#define  CE_LoadAssociated                              15795            // 0x00003db3
#define  CE_IdVerifyOK                                  15796            // 0x00003db4
#define  CE_OpenFoup                                    15797            // 0x00003db5
#define  CE_SlotMapVerifyOK                             15798            // 0x00003db6
#define  CE_SubstAtSource                               15799            // 0x00003db7
#define  CE_SubstOccupied                               15800            // 0x00003db8
#define  CE_PrJobPooled                                 15801            // 0x00003db9
#define  CE_CJobQueued                                  15808            // 0x00003dc0
#define  CE_CJobSelected                                15809            // 0x00003dc1
#define  CE_ExecBegan                                   15810            // 0x00003dc2
#define  CE_PrJobSetup                                  15811            // 0x00003dc3
#define  CE_CarInAccess                                 15812            // 0x00003dc4
#define  CE_SubstAtWork                                 15813            // 0x00003dc5
#define  CE_SubstInProcess                              15814            // 0x00003dc6
#define  CE_PrJobProcessing                             15815            // 0x00003dc7
#define  CE_SubstProcessingComplete                     15816            // 0x00003dc8
#define  CE_ProcessingComplete                          15817            // 0x00003dc9
#define  CE_SubstAtDestination                          15824            // 0x00003dd0
#define  CE_PrJobComplete                               15825            // 0x00003dd1
#define  CE_CJobComplete                                15826            // 0x00003dd2
#define  CE_CJobDeleted                                 15827            // 0x00003dd3
#define  CE_CloseFoup                                   15828            // 0x00003dd4
#define  CE_CarComplete                                 15829            // 0x00003dd5
#define  CE_ReadyToUnload                               15856            // 0x00003df0
#define  CE_UnLoadTransferBlocked                       15857            // 0x00003df1
#define  CE_MaterialRemoved                             15858            // 0x00003df2
#define  CE_CarDeleted                                  15859            // 0x00003df3
#define  CE_LoadNotAssociated                           15861            // 0x00003df5
#define  CE_LimitChange                                 15862            // 0x00003df6
#define  CE_TestList                                    254              // 0x000000fe
#define  CE_NestTest                                    800              // 0x00000320
#define  RP_Communicating                               10               // 0x0000000a
#define  RP_ControlState                                100              // 0x00000064
#define  RP_PortAccessMode                              1200             // 0x000004b0
#define  RP_Port1AccessMode                             1201             // 0x000004b1
#define  RP_Port2AccessMode                             1202             // 0x000004b2
#define  RP_Port3AccessMode                             1203             // 0x000004b3
#define  RP_ReadyToLoad                                 15600            // 0x00003cf0
#define  RP_LoadPort                                    15792            // 0x00003db0
#define  RP_SubstAtSource                               15856            // 0x00003df0
#define  RP_SubstReport                                 15857            // 0x00003df1
#define  RP_PrJobReport                                 15870            // 0x00003dfe
#define  RP_CJobReport                                  15871            // 0x00003dff
#define  RP_LimitChange                                 15872            // 0x00003e00
#define  RP_UnloadPort                                  15808            // 0x00003dc0
#define  RP_TestList                                    254              // 0x000000fe
#define  RP_NestTest                                    9999             // 0x0000270f
#define  AL_AlarmTempOver                               1                // 0x00000001
#define  AL_AlarmPressure_1_Low                         101              // 0x00000065
#define  AL_AlarmPressure_2_Low                         102              // 0x00000066
#define  AL_AlarmPressure_3_Low                         103              // 0x00000067
#define pp_1                                             "PP-1111 "
#define fpp_1                                            "PPID001"
#define rcp_process_A                                    "RCP100"
#define trace_1                                          "TRACE1"
#define spool_2                                          "spool_2"
#define spool_3                                          "spool_3"
#define spool_6                                          "spool_6"
