/*--------------------------------------------------------------------------*/
/*  DshEngine - Equipment Communication Control Engine                      */
/*                                                                          */
/*    eng_type.h : Engine Information Structure                             */
/*                                                                          */
/*                   (C) Copyright 2005 Data Map Corporation                */
/*--------------------------------------------------------------------------*/
#ifndef eng_type_h
    #define eng_type_h

#ifdef __cplusplus
  extern "C"{
#endif

#ifndef CHAR_f
    typedef char   CHAR;
    #define CHAR_f
#endif

#ifndef BYTE_f
    typedef unsigned char   BYTE;
    #define BYTE_f
#endif

#ifndef uchar_f
    typedef unsigned char   uchar;
    #define  uchar_f
#endif
#ifndef UCHAR_f
    typedef unsigned char   UCHAR;
    #define UCHAR_f
#endif
#ifndef SHORT_f
    typedef short  SHORT;
    #define SHORT_f
#endif
#ifndef ushort_f
    typedef unsigned short  ushort;
    #define ushort_f
#endif

#ifndef USHORT_f
    typedef unsigned short  USHORT;
    #define USHORT_f
#endif

#ifndef INT_f
    typedef int  INT;
    #define INT_f
#endif


#ifndef ulong_f
    typedef unsigned long   ulong;
    #define u_lognf
#endif

#ifndef ULONG_f
    typedef unsigned long   ULONG;
    #define ULONG_f
#endif

#ifndef INT64_f
    typedef __int64  INT64;
    #define INT64_f
#endif

#ifndef UINT64_f
    typedef unsigned __int64   UINT64;
    #define UINT64_f
#endif

#ifndef FLOAT_f
    typedef float    FLOAT;
    #define FLOAT_f
#endif

#ifndef DOUBLE_f
    typedef double   DOUBLE;
    #define DOUBLE_f
#endif

    #define    NUL     0

#ifndef NIL
    #define NIL     0xffffffff
#endif
#ifndef NULL
    #define NULL    (void*)0
#endif
#ifndef OK
    #define OK      0                       /* ok */
    #define NG      NIL                     /* ng */
    #define EOS     0                       /* end of ch string */
    #define EI_LESS (-2)
    #define EI_GREATER (-3)
    #define EI_CHECK_ERR (-4)
    #define SEND_RSP_LATER 8000             /* send send response lator */
#endif

#ifndef NIL16
    #define NIL16   0xffff
#endif
#ifndef NIL8
    #define NIL8   0xff
#endif

#ifdef __cplusplus
  }
#endif

#endif
/*----- Enf of File --------------------------------------------------------*/
