/*------------------------------------------------------*/
/*  eqinfo.h - DshEng3 ID Definition                    */
/*------------------------------------------------------*/
#define  EC_Mdln                       1                // 0x00000001
#define  EC_SoftRev                    2                // 0x00000002
#define  EC_InitCommState              4                // 0x00000004
#define  EC_InitControlState           5                // 0x00000005
#define  EC_InitOfflineSubState        6                // 0x00000006
#define  EC_ControlMode                80               // 0x00000050
#define  EC_PortAccessMode             256              // 0x00000100
#define  EC_Port1AccessMode            257              // 0x00000101
#define  EC_Port2AccessMode            258              // 0x00000102
#define  EC_Port3AccessMode            259              // 0x00000103
#define  EC_UndockStyle                272              // 0x00000110
#define  EC_UnClampStyle               274              // 0x00000112
#define  EC_ManualTimer                275              // 0x00000113
#define  EC_ManualInType               276              // 0x00000114
#define  EC_ManualOutType              278              // 0x00000116
#define  EC_MaxSpoolTransmit           512              // 0x00000200
#define  EC_OverWriteSpool             513              // 0x00000201
#define  EC_BinTest                    1024             // 0x00000400
#define  EC_Int1Test                   1025             // 0x00000401
#define  EC_Int2Test                   1026             // 0x00000402
#define  EC_Int4Test                   1027             // 0x00000403
#define  EC_SingleTest                 1028             // 0x00000404
#define  EC_DoubleTest                 1029             // 0x00000405
#define  SV_Clock                      65536            // 0x00010000
#define  SV_CommunicationState         65538            // 0x00010002
#define  SV_ControlState               65539            // 0x00010003
#define  SV_CJExecName1                65552            // 0x00010010
#define  SV_CJExecName2                65553            // 0x00010011
#define  SV_CJExecName3                65554            // 0x00010012
#define  SV_ReadyToLoad                65600            // 0x00010040
#define  SV_LoadPortTransferStatus     65792            // 0x00010100
#define  SV_LoadPortId                 65793            // 0x00010101
#define  SV_LoadCarId                  65794            // 0x00010102
#define  SV_LoadCarIdStatus            65795            // 0x00010103
#define  SV_LoadSlotMapStatus          65796            // 0x00010104
#define  SV_LoadPortAssociationStatus  65797            // 0x00010105
#define  SV_LoadCarAccessStatus        65798            // 0x00010106
#define  SV_TransferStatus             65799            // 0x00010107
#define  SV_LotId                      65810            // 0x00010112
#define  SV_SubstID                    65811            // 0x00010113
#define  SV_SubstProcState             65812            // 0x00010114
#define  SV_SubstState                 65813            // 0x00010115
#define  SV_CarUsage                   65814            // 0x00010116
#define  SV_CarLocation                65815            // 0x00010117
#define  SV_SubstList                  65823            // 0x0001011f
#define  SV_UnloadPortId               65857            // 0x00010141
#define  SV_UnloadCarId                65858            // 0x00010142
#define  SV_UnloadCarIdStatus          65859            // 0x00010143
#define  SV_UnloadSlotMapStatus        65860            // 0x00010144
#define  SV_UnloadPortAssociationStatus65861            // 0x00010145
#define  SV_UnloadCarAccessStatus      65862            // 0x00010146
#define  SV_AccessModeStatus           65888            // 0x00010160
#define  SV_Access1ModeStatus          65889            // 0x00010161
#define  SV_Access2ModeStatus          65890            // 0x00010162
#define  SV_Access3ModeStatus          65891            // 0x00010163
#define  SV_Port1ReservedStatus        65905            // 0x00010171
#define  SV_Port2ReservedStatus        65906            // 0x00010172
#define  SV_PPID                       66304            // 0x00010300
#define  SV_PrjID                      66306            // 0x00010302
#define  SV_PrjState                   66308            // 0x00010304
#define  SV_CJID                       66310            // 0x00010306
#define  SV_CjState                    66311            // 0x00010307
#define  SV_SpoolState                 69632            // 0x00011000
#define  SV_SpoolCountActual           69633            // 0x00011001
#define  SV_SpoolCountTotal            69634            // 0x00011002
#define  SV_SpoolFullTime              69635            // 0x00011003
#define  SV_ControlJobStatus           73729            // 0x00012001
#define  SV_ProcessJobStatus           77825            // 0x00013001
#define  SV_WaferTransportState        81921            // 0x00014001
#define  SV_WaferProcesStatus          81922            // 0x00014002
#define  SV_WaferLocationStatus        81923            // 0x00014003
#define  SV_SpoolStartTime             86020            // 0x00015004
#define  SV_List1                      254              // 0x000000fe
#define  SV_List1_End                  255              // 0x000000ff
#define  SV_List2                      252              // 0x000000fc
#define  SV_List2_End                  253              // 0x000000fd
#define  SV_ListEnd                    251              // 0x000000fb
#define  DV_StartTime                  131072           // 0x00020000
#define  DV_EndTime                    131073           // 0x00020001
#define  DV_Temp1                      131074           // 0x00020002
#define  DV_Temp1_bin                  131075           // 0x00020003
#define  DV_Temp2                      131076           // 0x00020004
#define  DV_Temp2_bin                  131077           // 0x00020005
#define  CE_Communicating              2                // 0x00000002
#define  CE_SpoolDeactivated           999              // 0x000003e7
#define  CE_ControlState               100              // 0x00000064
#define  CE_AlarmOn                    200              // 0x000000c8
#define  CE_AlarmOff                   201              // 0x000000c9
#define  CE_PortAccessMode             2200             // 0x00000898
#define  CE_Port1AccessMode            2201             // 0x00000899
#define  CE_Port2AccessMode            2202             // 0x0000089a
#define  CE_Port3AccessMode            2203             // 0x0000089b
#define  CE_ReadyToLoad                65600            // 0x00010040
#define  CE_LoadTransferBlocked        65792            // 0x00010100
#define  CE_LoadMaterialArrived        65793            // 0x00010101
#define  CE_LoadWaitingForHost         65794            // 0x00010102
#define  CE_LoadAssociated             65795            // 0x00010103
#define  CE_IdVerifyOK                 65796            // 0x00010104
#define  CE_OpenFoup                   65797            // 0x00010105
#define  CE_SlotMapVerifyOK            65798            // 0x00010106
#define  CE_SubstAtSource              65799            // 0x00010107
#define  CE_SubstOccupied              65800            // 0x00010108
#define  CE_PrJobPooled                65801            // 0x00010109
#define  CE_CJobQueued                 65808            // 0x00010110
#define  CE_CJobSelected               65809            // 0x00010111
#define  CE_ExecBegan                  65810            // 0x00010112
#define  CE_PrJobSetup                 65811            // 0x00010113
#define  CE_CarInAccess                65812            // 0x00010114
#define  CE_SubstAtWork                65813            // 0x00010115
#define  CE_SubstInProcess             65814            // 0x00010116
#define  CE_PrJobProcessing            65815            // 0x00010117
#define  CE_SubstProcessingComplete    65816            // 0x00010118
#define  CE_ProcessingComplete         65817            // 0x00010119
#define  CE_SubstAtDestination         65824            // 0x00010120
#define  CE_PrJobComplete              65825            // 0x00010121
#define  CE_CJobComplete               65826            // 0x00010122
#define  CE_CJobDeleted                65827            // 0x00010123
#define  CE_CloseFoup                  65828            // 0x00010124
#define  CE_CarComplete                65829            // 0x00010125
#define  CE_ReadyToUnload              65856            // 0x00010140
#define  CE_UnLoadTransferBlocked      65857            // 0x00010141
#define  CE_MaterialRemoved            65858            // 0x00010142
#define  CE_CarDeleted                 65859            // 0x00010143
#define  CE_LoadNotAssociated          65861            // 0x00010145
#define  CE_TestList                   254              // 0x000000fe
#define  RP_Communicating              10               // 0x0000000a
#define  RP_ControlState               100              // 0x00000064
#define  RP_PortAccessMode             1200             // 0x000004b0
#define  RP_Port1AccessMode            1201             // 0x000004b1
#define  RP_Port2AccessMode            1202             // 0x000004b2
#define  RP_Port3AccessMode            1203             // 0x000004b3
#define  RP_ReadyToLoad                65600            // 0x00010040
#define  RP_LoadPort                   65792            // 0x00010100
#define  RP_SubstAtSource              65856            // 0x00010140
#define  RP_SubstReport                65857            // 0x00010141
#define  RP_PrJobReport                65870            // 0x0001014e
#define  RP_CJobReport                 65871            // 0x0001014f
#define  RP_UnloadPort                 65808            // 0x00010110
#define  RP_TestList                   254              // 0x000000fe
#define  AL_AlarmTempOver              1                // 0x00000001
#define  AL_AlarmPressure_1_Low        101              // 0x00000065
#define  AL_AlarmPressure_2_Low        102              // 0x00000066
#define  AL_AlarmPressure_3_Low        103              // 0x00000067
#define pp_1                            "PP-1111 "
#define fpp_1                           "7"
#define rcp_process_A                   "RCP100"
#define trace_1                         "TRACE1"
#define spool_2                         "spool_2"
#define spool_3                         "spool_3"
#define spool_6                         "spool_6"
