/*--------------------------------------------------------------------------*/
/*                                                                          */
/*  DSHEng4   - GEM, GEM300 Library Program Package                         */
/*                                                                          */
/*    gemulib.h - User Library for DSHEng4                                  */
/*                                                                          */
/*                   (C) Copyright 2007 Data Map Corporation                */
/*                                                                          */
/*--------------------------------------------------------------------------*/
#ifndef gemulib_h
    #define gemulib_h

     void   init_Uprintf( void );
     void   Uprintf( const char * pfmt, ... );

 int   DshAcceptS10F1Callback( DSHMSG *rmsg );
 int   DshResponseS10F2( ID_TR trid, char *text, int ackc10 );

 int   DshAcceptS10F3Callback( DSHMSG *rmsg );
 int   DshResponseS10F4( ID_TR trid, char *text, int ackc7 );

 int   DshAcceptS10F5Callback( DSHMSG *rmsg );
 int   DshResponseS10F6( ID_TR trid,  TTERMTEXT_INFO *info, int ackc10 );

 int   DshAcceptS14F11Callback( DSHMSG *rmsg );
 int   DshResponseS14F12( ID_TR trid, TOBJ_INFO *info, TOBJ_ERR_INFO *erinfo );

 int   DshAcceptS14F9Callback( DSHMSG *rmsg );
 int   DshResponseS14F10( ID_TR trid, TOBJ_INFO *info, TOBJ_ERR_INFO *erinfo );

 int   DshAcceptS15F13Callback( DSHMSG *rmsg );
 int   DshResponseS15F14( ID_TR trid, TRCP_INFO *info, TRCP_ERR_INFO *erinfo );

 int   DshAcceptS15F3Callback( DSHMSG *rmsg );
 int   DshResponseS15F4( ID_TR trid, TRCP_ACT_INFO *info, TRCP_ERR_INFO *erinfo );

 int   DshAcceptS15F5Callback( DSHMSG *rmsg );
 int   DshResponseS15F6( ID_TR trid, TRCP_RENAME_INFO *info, TRCP_ERR_INFO *erinfo );

     int    DshAcceptS16F11Callback( DSHMSG *rmsg );
 int   DshResponseS16F12( ID_TR trid, TPRJ_INFO *info, TPRJ_ERR_INFO *erinfo );

 int    DshAcceptS16F15Callback( DSHMSG *rmsg );
 int    DshResponseS16F16( ID_TR trid, TPRJ_LIST *pinfo,  TPRJ_ERR_INFO *erinfo );

 int   DshAcceptS16F17Callback( DSHMSG *rmsg );
 int   DshResponseS16F18( ID_TR trid, TPRJ_DEQ_INFO *info, TPRJ_DEQ_ERR_INFO *erinfo );

 int   DshAcceptS16F27Callback( DSHMSG *rmsg );
 int   DshResponseS16F28( ID_TR trid, TCJ_CMD_INFO *info, TCJ_CMD_ERR_INFO *erinfo );

 int   DshAcceptS16F5Callback( DSHMSG *rmsg );
 int   DshResponseS16F6( ID_TR trid, TPRJ_CMD_INFO *info, TPRJ_CMD_ERR_INFO *erinfo );

 int    DshAcceptS1F15Callback( DSHMSG *rmsg );
 int   DshResponseS1F16( ID_TR trid, int oflack );

 int    DshAcceptS1F17Callback( DSHMSG *rmsg );
 int   DshResponseS1F18( ID_TR trid, int onlack );

 int   DshAcceptS2F23Callback( DSHMSG *rmsg );
 int   DshResponseS2F24( ID_TR trid, TTRACE_INFO *info,  int tiaack );

 int   DshAcceptS2F41Callback( DSHMSG *rmsg );
 int   DshResponseS2F42( ID_TR trid, TRCMD_INFO *info,  TRCMD_ERR_INFO *erinfo );

 int   DshAcceptS2F43Callback( DSHMSG *rmsg );
 int   DshResponseS2F44( ID_TR trid, TSPOOL_INFO *info, TSPOOL_ERR_INFO *erinfo );

 int   DshAcceptS2F45Callback( DSHMSG *rmsg );
 int   DshResponseS2F46( ID_TR trid, TLIMIT_LIST *info,  TLIMIT_ERR_LIST *erlist );

 int   DshAcceptS2F49Callback( DSHMSG *rmsg );
 int   DshResponseS2F50( ID_TR trid, TERCMD_INFO *info, TERCMD_ERR_INFO *erinfo );

 int   DshAcceptS3F17Callback( DSHMSG *rmsg );
 int   DshResponseS3F18( ID_TR trid, TCACT_INFO  *info, TCACT_ERR_INFO *erinfo );
 int   DshS3F17Proc( TCACT_INFO *info );
 int   DshProceedWithCarrier( TCACT_INFO *info, TCACT_PARA  *pinfo );

 int   DshAcceptS3F23Callback( DSHMSG *rmsg );
 int   DshResponseS3F24( ID_TR trid, TPORTG_INFO  *info, TCACT_ERR_INFO *erinfo );

 int   DshResponseS3F26( ID_TR trid, TPORT_INFO  *info, TCACT_ERR_INFO *erinfo );
 int   DshAcceptS3F25Callback( DSHMSG *rmsg );

 int   DshAcceptS3F27Callback( DSHMSG *rmsg );
 int   DshResponseS3F28( ID_TR trid, TACCESS_INFO *info, TACCESS_ERR_INFO *erinfo );

 int   DshAcceptS5F1Callback( DSHMSG *rmsg );
 int   DshResponseS5F2( ID_TR trid,  TAL_S5F1_INFO *info, int ackc5 );

 int    DshAcceptS6F1Callback( DSHMSG *rmsg );
 int   DshResponseS6F2( ID_TR trid,  TTRACE_DATA *info, int ackc6 );

 int   DshAcceptS6F11Callback( DSHMSG *rmsg );
 int   DshResponseS6F12( ID_TR trid,  TCE_CONTENT *info, int ackc6 );

 int    DshAcceptS6F13Callback( DSHMSG *rmsg );
 int   DshResponseS6F14( ID_TR trid,  TCE_CONTENT *info, int ackc6 );

 int   DshAcceptS7F1Callback( DSHMSG *rmsg );
 int   DshResponseS7F2( ID_TR trid,  TPPINQ_INFO *info, int ppgnt );

 int    DshAcceptS7F23Callback( DSHMSG *rmsg );
 int    DshResponseS7F24( ID_TR trid,  TFPP_INFO *info, int ackc7 );

 int   DshAcceptS7F25Callback( DSHMSG *rmsg );
 int   DshResponseS7F26( ID_TR trid,  TFPP_INFO *info, int ackc7 );

 int   DshAcceptS7F27Callback( DSHMSG *rmsg );
 int   DshResponseS7F28( ID_TR trid, TPP_PVS_LIST *list );

 int   DshAcceptS7F29Callback( DSHMSG *rmsg );
 int   DshResponseS7F30( ID_TR trid, int ppgnt );

 int   DshAcceptS7F3Callback( DSHMSG *rmsg );
 int   DshResponseS7F4( ID_TR trid,  TPP_INFO *info, int ackc7 );

 int   DshAcceptS7F5Callback( DSHMSG *rmsg );
 int   DshResponseS7F6( ID_TR trid,  TPP_INFO *info, int ackc7 );

 int   DshAcceptS7F5Callback( DSHMSG *rmsg );
 int   DshResponseS7F6( ID_TR trid,  TPP_INFO *info, int ackc7 );

 int  GemRegisterDefaultSxFy( int no_of_msg, HANDLE event );

#endif
