/*--------------------------------------------------------------------------*/
/*                                                                          */
/*  DshEngLib - GEM, GEM300 Library Program Package                         */
/*                                                                          */
/*    d_r7f3.c   - Process Program for simulation                           */
/*                                                                          */
/*  Copyright (c)2007 by Data Map Corp.                                     */
/*                                                                          */
/*--------------------------------------------------------------------------*/
#include    "all.h"

/*--------------------------------------------------------------------------*/
// sim_S7F3 Process Program Send  
/*--------------------------------------------------------------------------*/
int     sim_s7f3_proc( TMSG_QUEUE_INFO *qmsg )
{
        int     ackc7 = 0;
        int     ei;
        TPP_INFO tinfo;
        int     index;
        char    ppid[81];
    Gprintf( "        S7F3 : Process Program Send \n" );
    ei = DshDecodeS7F3( qmsg->smsg, &tinfo );
    if ( ei == 0 ){
        strcpy( ppid, tinfo.ppid );                         // save ppid
        index = 0;
        ei = EngAllocPpInfo( ( char* )tinfo.ppid, &index );// IDo^
        if ( ei >= 0 ){
            ei = EngSetPpInfoX( index, &tinfo );      // ݒ
            // ɏǉB
        }
    }else{
        ackc7 = 1;
    }
    if ( ackc7 == 0 ){                                      // error ack  ?
        ackc7 = get_ack_value( X_S7F3 );
    }
    ei = DshResponseS7F4( qmsg->trid, &tinfo, ackc7 );
    if ( ei < 0 ){
        Gprintf( "!!! S7F4 response send error\n" );
    }
    if ( ackc7 == 0 ){
        sim_set_ppid( ppid );
        ei = EngSetSvVal( SV_PPID, ppid, strlen( ppid ) );  // SV
    }
    DshFreeTPP_INFO( &tinfo );
    return ei;
}
