/****************************************************************/
/*                                                              */
/*    << DSHENG4 Test Program >>                              */
/*                                                              */
/*              file name : g_s10f1.c                           */
/*                                                              */
/*  Produced by Data Map Corporation in 2009.                   */
/*  All rights reserved. No part of this program may be copied  */
/*  in anyway, or by any means, without permission from         */
/*  Data Map Corporation.                                       */
/*                                                              */
/****************************************************************/

#include    "all.h"

static  char cbuf[KEY_BUFF_SIZE];
int     p_s10f1_callback( int end_status, int *ackc10, ULONG upara );

static  int     ackc10;
/*-----------------------------------------------------------*/
// p_S10f1()
/*-----------------------------------------------------------*/
int     p_s10f1( void )
{
        int     tid = 1;
        int     ei;
    while( 1 ){
        input_line( "S10F1> Terminal Msg : ", cbuf );
        if ( strlen(cbuf)==0 ) break;
        printf( "   Msg = %s\n", cbuf );
        ei = EngSendS10F1( tid, cbuf, &ackc10, p_s10f1_callback, 1001 );
        if ( ei != 0 ){
            Gprintf( "    !! EngSendS10F1() ei=%d ackc10=%d\n", ei, ackc10 );
        }else{
            Sleep( 3000 );
        }
    }
    return 0;
}
/*-----------------------------------------------------------*/
// p_S10f1_callback()
/*-----------------------------------------------------------*/
int p_s10f1_callback( int end_status, int *ackc10, ULONG upara )
{
    Gprintf( "    -->S10F1 Callback(  status=%d ackc10=%d upara=%d )\n",
                         end_status, *ackc10, upara );
    return 0;
}

/*----- End Of File -----------------------------------------*/
