/****************************************************************/
/*                                                              */
/*    << DSHENG4 Test Program >>                              */
/*                                                              */
/*              file name : g_s6f11.c                           */
/*                                                              */
/*  Produced by Data Map Corporation in 2009.                   */
/*  All rights reserved. No part of this program may be copied  */
/*  in anyway, or by any means, without permission from         */
/*  Data Map Corporation.                                       */
/*                                                              */
/****************************************************************/

#include    "all.h"

static char cbuf[KEY_BUFF_SIZE];
int     p_s6f11_callback( int end_status, TCEID ceid,  ULONG upara );

/*-----------------------------------------------------------*/
// p_s6f11()
/*-----------------------------------------------------------*/
int     p_s6f11( void )
{
        int     ceid;
        int     ei;

    while( 1 ){
        input_line( "S6F11> CEID(0=end) : ", cbuf );
        ceid = atoi( cbuf );
        if ( ceid == 0 ) break;
        printf( "   CEID = %d\n", ceid );
        ei = EngNotifyEvent( ceid, p_s6f11_callback, 611 );
        if ( ei != 0 ){
            Gprintf( "    !! EngNotifyEvent(%d) ei=%d\n", ceid, ei );
        }else{
            Sleep( 3000 );
        }
    }
    return 0;
}
/*-----------------------------------------------------------*/
// p_s6f11_callback() - callback functtion
/*-----------------------------------------------------------*/
int     p_s6f11_callback( int end_status, TCEID ceid,  ULONG upara )
{
    Gprintf( "    -->S6F11 Callback(  status=%d ceid=%d upara=%d )\n",
                         end_status, ceid, upara );
    return 0;
}
/*----- End Of File -----------------------------------------*/
